package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bpacbs extends AbstractCommonVo {

    private Cbb max;

    private Cbb max2;

    private Cbb pay1;

    private Cbb nom1;

    private Cbb opn1;

    @Override
    public void reset() {
        if (max == null) {
            max = new Cbb();
        }
        if (max2 == null) {
            max2 = new Cbb();
        }
        if (pay1 == null) {
            pay1 = new Cbb();
        }
        if (nom1 == null) {
            nom1 = new Cbb();
        }
        if (opn1 == null) {
            opn1 = new Cbb();
        }
    }
}
